let formattedDate = (unix_timestamp) => {
    if (!unix_timestamp) return

    let date = new Date(unix_timestamp);
    let year = date.getFullYear() >= 10 ? date.getFullYear() : "0" + date.getFullYear();
    let month = (date.getMonth() + 1) >= 10 ? (date.getMonth() + 1) : "0" + (date.getMonth() + 1);
    let weekday = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
    return weekday + '.' + month + '.' + year;
}

let formattedDateTime = (unix_timestamp) => {
    let a
    if (unix_timestamp > 1000000000000) a = new Date(unix_timestamp);
    else a = new Date(unix_timestamp * 1000);
    let months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
    let year = a.getFullYear();
    let month = (a.getMonth() + 1) < 10 ? `0${(a.getMonth() + 1)}` : (a.getMonth() + 1);
    let date = a.getDate() < 10 ? `0${a.getDate()}` : a.getDate();
    let hour = a.getHours() < 10 ? `0${a.getHours()}` : a.getHours();
    let min = a.getMinutes() < 10 ? `0${a.getMinutes()}` : a.getMinutes();
    let sec = a.getSeconds() < 10 ? `0${a.getSeconds()}` : a.getSeconds();
    let time = date + '.' + month + '.' + year + ' ' + hour + ':' + min;
    return time;
}

function getTimeInSeconds(time = Date.now()) {
    // Если время больше 10 знаков (это значит, что время в миллисекундах)
    if (time.toString().length < 10) {
        // Округляем до секунд, убирая последние 3 цифры (миллисекунды)
        time = Math.floor(time * 1000);
    }

    return time;
}

function formattedDayName(unix_timestamp) {
    const date = new Date(unix_timestamp);
    const daysOfWeekUA = ["Неділя", "Понеділок", "Вівторок", "Середа", "Четвер", "П'ятниця", "Субота"];
    const dayNameUA = daysOfWeekUA[date.getDay()];

    return dayNameUA;
}